Publish a flow version
Create a new runnable published version. Enables HMAC-based external invocation through the version's trigger_secret.
curl -X POST "https://api.talkturo.com/api/flow/example_string/publish" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.talkturo.com/api/flow/example_string/publish"
headers = {
"Content-Type": "application/json"
}
response = requests.post(url, headers=headers)
print(response.json())
const response = await fetch("https://api.talkturo.com/api/flow/example_string/publish", {
method: "POST",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("POST", "https://api.talkturo.com/api/flow/example_string/publish", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/flow/example_string/publish')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/flow/{flowId}/publishTarget server for requests. Edit to use your own host.
Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Flow identifier
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Path Parameters
Flow identifier
Responses
Flow published